# (observed summaries already computed in make_summary_plots.R)

library(tidyverse)
source("src/get_1D_summaries.R")
simulations <- readRDS("simulations/simulations.rds")
parameters <- readRDS("simulations/parameters.rds")

summary_names <- colnames(all_measures(1:3))
sim_summaries <- apply(simulations, FUN = all_measures, MARGIN = 1)



sim_summaries <- data.frame(matrix(unlist(sim_summaries), nrow = nrow(simulations), byrow = T))
sim_summaries <- sim_summaries %>% 
  as_tibble() %>% 
  magrittr::set_colnames(summary_names) %>% 
  bind_cols(parameters, .)



saveRDS(sim_summaries, "simulations/sim_summaries.rds")
